Subject: Re: [Simple] [MSRP chat] Issue 11: Anonymity bug

From: Miguel Garcia <[email-masked]>
Date: Wed, 01 Aug 2007 15:27:16 +0300

The problem here is:

- A user wants to send an anonymous private message (not the conference, 
but privately to another user).

- He has to populate the From header in CPIM somehow. The From header of 
CPIM is transmitted end-to-end.

I think we need to provide guidelines of which URI to use in this case. 
If using the anonymous URI indicated in RFC 3261 is a bug, please 
indicate which URI to use.

/Miguel

Hisham Khartabil wrote:
> I think Jonathan is asking you not to use whatever is in RFC3261 since 
> he believes is it a bug. So he is not ok with the text.
>  
> What other mechanisms do we have in place to allow anonymity?
>  
> Hisham
> 
>  
> On 31/07/07, *Miguel Garcia* <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
>     Jonathan Rosenberg wrote:
>      >> If the sender of the message wants to remain anonymous to the
>     rest of
>      >>    the participants, and providing that the policy of the conference
>      >>    allows anonymous participation, the creator SHOULD populate
>     the From
>      >>    header of the Message/CPIM body with an anonymous identity, e.g.,
>      >>    using the "anonymous" SIP URI as described in RFC 3261 [RFC3261]
>      >
>      > Ugh, this is a bug I'd rather not propagate....
> 
>     So you are OK with the text, I hope. I was trying to give similar
>     guidelines as RFC 3261 gives with respect the population of the From
>     header field.
> 
>     /Miguel
>     --
>     Miguel A. Garcia           tel:+358-50-4804586
>     Nokia Siemens Networks     Espoo, Finland
> 
> 
> 
>     _______________________________________________
>     Simple mailing list
>     [email-masked] <mailto:[email-masked]>
>     https://www1.ietf.org/mailman/listinfo/simple
>     <https://www1.ietf.org/mailman/listinfo/simple>
> 
> 

-- 
Miguel A. Garcia           tel:+358-50-4804586
Nokia Siemens Networks     Espoo, Finland

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple